<template>
  <div v-show="loading" id="fsl">
    <div id="loader"></div>
  </div>
</template>

<script setup lang="ts">
import { useLoaderStore } from '@/stores/loader'
import { computed } from 'vue'
const loader = useLoaderStore()
const loading = computed(() => loader.loading)
</script>

<style scoped>
#fsl {
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background-color: #5558;
  display: flex;
  justify-content: center;
  align-items: center;
}

#loader {
  width: 10vw;
  height: 10vw;
  min-width: 50px;
  min-height: 50px;
  border-radius: 50%;
  border: 10px solid #5555;
  border-top: 10px solid #eee;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
</style>
